Bug 162319 - anaconda installation failure while ISO mounted installation
anaconda installation failure while ISO mounted installation
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-07-02 09:05 EDT by anish
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-02 15:48:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This file was generated by anacoda while installation (67.17 KB, text/plain)
2005-07-02 09:05 EDT, anish
no flags Details
This is the errormessage I get (60.35 KB, text/plain)
2005-10-25 14:05 EDT, Jarno Rantaharju
no flags Details

  None (edit)
Description anish 2005-07-02 09:05:29 EDT

I have downloaded all 5 ISO of FEDORA CORE 4 from, ftp.ale.org.
I downloded it By a WindowsXP Machine. Which have 3 Drives,
and in the rest of the 40 GB HDD I have installed FEDORA CORE 3,

I have downloded all the ISO files into E: drive of the WINDOWS XP,
This drive is a FAT 32 Filesystem,

I have burned first Installation CD to a CD-R, then Booted in to the CD,
at the boot prompt, I entered,

linux askmethod

It started the Installation console,
every thing was going file and the installing of files was about to begin
and I got a BUG message from ANACONDA,

It told me to save the text to a FLOPPY Disk and send it to BUGZILLA,

Please have a look, on this thing, as Iam not an LINUX EXPERT Iam not able to
Explain it so pardon me.

I have attached the text file the ANACONDA has generated.
Comment 1 anish 2005-07-02 09:05:30 EDT
Created attachment 116289 [details]
This file was generated by anacoda while installation
Comment 2 Chris Lumens 2005-07-11 10:42:20 EDT
Have you verified that your installation media passed the media check?
Comment 3 anish 2005-07-18 09:11:46 EDT
(In reply to comment #2)
> Have you verified that your installation media passed the media check?

Yes I have checked it, and was ok,
thank for this reply,

(Actually I downloaded the FC4 from ftp.ale.org, and burned it into CD's for my 
friend, Before that I copied the ISO images to my Hard Disk too. At the First 
Installation Attempt I didnot had the FEDORA CORE 4 INSTALLATION CD just ONE CD-
RW with the first Installation CD Burned on it. I started the Installation from 
the CD-RW and told the Installation to start the Linux askmethod, it booted 
into that I told the installtion that I have the ISO images in the Hard drive, 
I showed the path to the drive with ISO images, The installtion started and 
collapsed at some steps before it starts coping the files to HDD )

Infact I was able to install LINUX from the CD (I have installed FC4 in the 
proper way from the CD Installation), was not able to install FEDORA CORE4 by 
using the Copied ISO Images,

There is no problems with the CD nor the FEDORA Core 4 (Serial Mouse is not 
detecting) I have installed, So as to save the price of 5 CD's I thought 
installing from the ISO images will be a good way, as the CD was of my friend. 
I copied the ISO images by using the NERO BURNING ROM,

LET ME CLARIFY, I am telling about the ISO Image mounted Installtion Not the 
usual CD Installtion ( I have tried it Its working that way) The Problem is the 
ISO file mounted Installation. please take note ISO MOUNTED INSTALLATION done 

waiting for the reply.
Comment 4 theseer 2005-08-15 05:00:26 EDT
I have also encountered this bug, but I got it with the usual CD installation.
To clarify it gets right up to the point where it installs and gives an error
and a choice to download an error log to a floppy disc. Also, by this point the
c:/ drive has been wiped.
Comment 5 theseer 2005-08-15 05:09:25 EDT
(In reply to comment #4)
> I have also encountered this bug, but I got it with the usual CD installation.
> To clarify it gets right up to the point where it installs and gives an error
> and a choice to download an error log to a floppy disc. Also, by this point the
> c:/ drive has been wiped.

I was kinda rash to post the bug wasn't I >_>
Well, it seems if I switch to my other non-burner [dvd] drive it works fine.. so
Comment 6 anish 2005-08-15 16:36:16 EDT
(In reply to comment #5)
let me tell you all, I dont have any problems installing FEDORA CORE 4 From the 
CD, I have installed it with out any problems.(Iam a systems Administrator in 
iPath India (P) Ltd. Kochi)

I try different steps to do a same thing, While you try to install linux you 
will get a lots of options, that is
1] Linux text
2] Linux rescue
3] Linux askmethod

Now Please read it properly what iam going to say.

Iam  Facing problem when I choose Linux askmethod. (Now the question is Have 
you choose that option to install FEDORA CORE 4) if yes have you been able to 
sucessfully install FEDORA CORE 4 by that methood (I mean Linux askmethod ).

I have tried it on 3 different computers and got same error, as I reported.

Now let us take a look at how I try to install FEDORA CORE 4,

1] I downloaded the Installation Images from ftp.ale.org.

2] I brurned it to CD's.

3] On the next day My Senior Sys Admin went out with the CD's.

4] Now Iam empty handed with no Installation CD's with me.

5] I was desperate to install FEDORA CORE 4.

6] I searched my bag Found one CD-RW.

7] Again burned the first installation Image to the CD.

8] Now I have a Bootable cd of Fedora Core 4 Installation.

9] And I have all other ISO images with in my HDD.

10] Booting with the First Installation Disk FC4, (CD-RW).

11] Sucessfull,

12] Choosing linux askmethod (for installation).

13] The ANACONDA asks for which method for installtion?

14] My reply, From Hard Drive.

15] Asks for the Drive partion and path,

16] After giving the correct path the pre-installtion configurations asked,

17] like, Type of installation, Partitioning, Firewall etc...

18] after some more questions the installations ends up in an error

19] ANACONDA gave me some DUMP file or something.

20] I posted it to bugzilla,

21] After 3 weeks my senior system admin brought back the 4 installtion CD of 
Fedora Core 4 + 1 Rescue CD, I tried to install with that, the installation was 
sucessfull, now the fedora is working properly,

Now please Note: -

This is what the story is There is  no problem in installing in the proper way, 
That is by the Default CD Installation, But the error is happening while we 
choose 'inux askmethod' hope everone has understood the BUG,

Please find a solution, I just want to save the CD's that the matter.
Comment 7 Jarno Rantaharju 2005-10-25 14:05:44 EDT
Created attachment 120377 [details]
This is the errormessage I get
Comment 8 Jarno Rantaharju 2005-10-25 14:07:08 EDT
Same thing with me (with the exception that I can't get my cd's working for
other reasons.)

I get an identical errormessage when trying to install from the harddrive. The
images are fine.

Or they are identical to me. I'll just put it there.
Comment 9 Chris Lumens 2005-12-02 15:48:47 EST
We have finally gotten to the bottom of this one.  FC5test2 should be fixed.
Comment 10 anish 2005-12-03 07:28:58 EST
(In reply to comment #9)
> We have finally gotten to the bottom of this one.  FC5test2 should be fixed.

Thanks Chris Lumens.

CHRISTMAS AND NEW YEAR GREETINGS to all in the REDHAT TEAM !! God bless u all!!

Its great to hear that the BUG is fixed, Tha was a real bug! for me! actually 
the senario is,

One friend of mine will download the latest FEDORA ISO's and He will burn it to 
disks! Now the problem is that there are lot of friends (more than 26 (27)) out 
there to install it! and the FUNDS to burn (27 X 5)CD is not there! So we all 
just Burn the First CD and do a linux installation of  "linux askmethod" so 
that the system never ask for the four CD's As we show the path to the ISO 
files during ASKMETHOD Installation!

Thanks for FIXING This bug!

Mr Chris Lumens Your work is to be appreciated, You did your work within a 
YEAR! I reported back in FEBRUARY I think so!


When will it be out for General-Public!! 
We are waiting for it to come!! (we are Junior SysAdmins in a Indian ISP all 
our servers are REDHAT's old6, 7.2, 8, 9mostly, FC4only one! ... (none other 
than RedHat)

Any way that was a great job!!
Thanks and Many many thanks once again for saving our FUNDS (for buying CD's)

ANISH.P.A aka leoremons

Note You need to log in before you can comment on or make changes to this bug.